POST api/ApplicationStripePayment/InsertPayment
Request Information
URI Parameters
None.
Body Parameters
ApplicationStripePaymentDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| ApplicationId | globally unique identifier |
None. |
|
| CertificateId | globally unique identifier |
None. |
|
| StripePaymentIntentId | string |
Required |
|
| UserId | string |
Required |
|
| UserEmail | string |
None. |
|
| Amount | decimal number |
Required |
|
| Error | string |
String length: inclusive between 0 and 255 |
|
| Status | string |
String length: inclusive between 0 and 255 |
|
| LastUpdated | date |
None. |
|
| BillingContactEmail | string |
Required String length: inclusive between 0 and 100 |
|
| BillingContactName | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"id": "c6c96ac4-c3d7-4a6f-bc81-f26db366bfb3",
"applicationId": "be6e945e-2888-41cb-b924-440b1dbea183",
"certificateId": "00fe4ef8-43fa-45c3-afc8-252dda1adb18",
"stripePaymentIntentId": "sample string 2",
"userId": "sample string 3",
"userEmail": "sample string 4",
"amount": 5.0,
"error": "sample string 6",
"status": "sample string 7",
"lastUpdated": "2026-05-07T11:10:52.9090453+00:00",
"billingContactEmail": "sample string 8",
"billingContactName": "sample string 9"
}
application/xml, text/xml
Sample:
<ApplicationStripePaymentDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DTO.Model"> <Amount>5</Amount> <ApplicationId>be6e945e-2888-41cb-b924-440b1dbea183</ApplicationId> <BillingContactEmail>sample string 8</BillingContactEmail> <BillingContactName>sample string 9</BillingContactName> <CertificateId>00fe4ef8-43fa-45c3-afc8-252dda1adb18</CertificateId> <Error>sample string 6</Error> <Id>c6c96ac4-c3d7-4a6f-bc81-f26db366bfb3</Id> <LastUpdated>2026-05-07T11:10:52.9090453+00:00</LastUpdated> <Status>sample string 7</Status> <StripePaymentIntentId>sample string 2</StripePaymentIntentId> <UserEmail>sample string 4</UserEmail> <UserId>sample string 3</UserId> </ApplicationStripePaymentDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.